Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class AttributeContentAssist

    public class AttributeContentAssist
    extends org.eclipse.wst.xsl.ui.internal.contentassist.SelectAttributeContentAssist

This class provides content assistance for attributes that contain the "{" character attribute.

## Constructor Summary

`AttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()` (non-Javadoc)

## Constructor Detail

## AttributeContentAssist

`public AttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

Constructor for the XSL content assistance for the test attribute.

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

(non-Javadoc)

### Returns

`java.util.ArrayList`